<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>CombinedReloadingController (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CombinedReloadingController (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CombinedReloadingController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/CombinedReloadingController.html" target="_top">Frames</a></li>
<li><a href="CombinedReloadingController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.reloading</div>
<h2 title="Class CombinedReloadingController" class="title">Class CombinedReloadingController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">org.apache.commons.configuration2.reloading.ReloadingController</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.reloading.CombinedReloadingController</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/event/EventSource.html" title="interface in org.apache.commons.configuration2.event">EventSource</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CombinedReloadingController</span>
extends <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a></pre>
<div class="block"><p>
 A specialized <code>ReloadingController</code> implementation which manages an
 arbitrary number of other <code>ReloadingController</code> objects.
 </p>
 <p>
 This class can be used to handle multiple simple controllers for reload
 operations as a single object. As a usage example consider a combined
 configuration containing a number of configuration sources of which some
 support reloading. In this scenario all <code>ReloadingController</code> instances
 for the reloading-enabled sources can be added to a
 <code>CombinedReloadingController</code>. Then by triggering the combined
 controller a reload check is performed on all child sources.
 </p>
 <p>
 This class is a typical implementation of the <em>composite pattern</em>. An
 instance is constructed with a collection of sub <code>ReloadingController</code>
 objects. Its operations are implemented by delegating to all child
 controllers.
 </p>
 <p>
 This class expects the managed controller objects to be passed to the
 constructor. From this list a defensive copy is created so that it cannot be
 changed later on. Derived classes can override the
 <a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html#getSubControllers--"><code>getSubControllers()</code></a> method if they need another way to handle child
 controllers (e.g. a more dynamic way). However, they are then responsible to
 ensure a safe access to this list in a multi-threaded environment.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: CombinedReloadingController.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html#CombinedReloadingController-java.util.Collection-">CombinedReloadingController</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&gt;&nbsp;subCtrls)</code>
<div class="block">Creates a new instance of <code>CombinedReloadingController</code> and
 initializes it with the <code>ReloadingController</code> objects to be
 managed.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html#getDetector--">getDetector</a></span>()</code>
<div class="block">Returns the <code>ReloadingDetector</code> used by this controller.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html#getSubControllers--">getSubControllers</a></span>()</code>
<div class="block">Returns a (unmodifiable) collection with the sub controllers managed by
 this combined controller.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/reloading/CombinedReloadingController.html#resetInitialReloadingState--">resetInitialReloadingState</a></span>()</code>
<div class="block">Resets the reloading state of all managed sub controllers
 unconditionally.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.reloading.ReloadingController">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.reloading.<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#checkForReloading-java.lang.Object-">checkForReloading</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#isInReloadingState--">isInReloadingState</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a>, <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#resetReloadingState--">resetReloadingState</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CombinedReloadingController-java.util.Collection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CombinedReloadingController</h4>
<pre>public&nbsp;CombinedReloadingController(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;? extends <a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&gt;&nbsp;subCtrls)</pre>
<div class="block">Creates a new instance of <code>CombinedReloadingController</code> and
 initializes it with the <code>ReloadingController</code> objects to be
 managed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>subCtrls</code> - the collection with sub <code>ReloadingController</code>s
        (must not be <b>null</b> or contain <b>null</b> entries)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the passed in collection is
         <b>null</b> or contains <b>null</b> entries</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSubControllers--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSubControllers</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a>&gt;&nbsp;getSubControllers()</pre>
<div class="block">Returns a (unmodifiable) collection with the sub controllers managed by
 this combined controller.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a collection with sub controllers</dd>
</dl>
</li>
</ul>
<a name="getDetector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDetector</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingDetector.html" title="interface in org.apache.commons.configuration2.reloading">ReloadingDetector</a>&nbsp;getDetector()</pre>
<div class="block">Returns the <code>ReloadingDetector</code> used by this controller. This implementation returns a special reloading detector
 which operates on all managed controllers.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#getDetector--">getDetector</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html" title="class in org.apache.commons.configuration2.reloading">ReloadingController</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>ReloadingDetector</code></dd>
</dl>
</li>
</ul>
<a name="resetInitialReloadingState--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>resetInitialReloadingState</h4>
<pre>public&nbsp;void&nbsp;resetInitialReloadingState()</pre>
<div class="block">Resets the reloading state of all managed sub controllers
 unconditionally. This method is intended to be called after the creation
 of an instance. It may be the case that some of the sub controllers are
 already in reloading state, so their state is out of sync with this
 controller's global reloading state. This method ensures that the
 reloading state of all sub controllers is reset.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CombinedReloadingController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/reloading/FileHandlerReloadingDetector.html" title="class in org.apache.commons.configuration2.reloading"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/reloading/CombinedReloadingController.html" target="_top">Frames</a></li>
<li><a href="CombinedReloadingController.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
